Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Interface SecureNioChannel.ApplicationBufferHandler

All Known Implementing Classes:
  NioEndpoint.NioBufferHandler

Enclosing class:
  SecureNioChannel

    public static interface SecureNioChannel.ApplicationBufferHandler

Callback interface to be able to expand buffers when buffer overflow exceptions happen

Method Summary
`ByteBuffer` | `expand(ByteBuffer buffer, int remaining)`
`ByteBuffer` | `getReadBuffer()`
`ByteBuffer` | `getWriteBuffer()`

Method Detail

### expand

    ByteBuffer expand(ByteBuffer buffer,
                      int remaining)

### getReadBuffer

    ByteBuffer getReadBuffer()

### getWriteBuffer

    ByteBuffer getWriteBuffer()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.